| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__IPPhone Struct Reference
Subscriber

Subscriber IP Phone Information. More...

`#include <osv-if-doc.h>`

## Public Attributes
char * | Name
| The name that the phone will register with. More...
enum unsp__IPConnRegTypes * | RegType
| Registration type. More...
char * | IPAddr
| The IP address or domain name of the phone. More...
int * | Port
| The static port number used for registration. More...
unsp__Enabled * | Register
| When the RegType is Static, the phone may be pre-registered and not required to register when it is powered on. More...
int * | TimeToLive
| The time left (timestamp) from when the phone registers to when it must re-register before being forcibly unregistered by the switch. More...
int * | MaxSessions
| Indicates the maximum number of conversation sessions that should be allowed simultaneously. More...
struct unsp__SIPSecurity * | SIPSecurity
| SIP Security Settings. More...
enum unsp__IPConnectionType * | IPConnectionType
| Transport Type. More...
struct unsp__ContactInfoList * | ContactInfoList
| List of subscriber Contacts. More...
struct unsp__IPPhoneAttribute * | Attributes
| Subscriber Attributes. More...
char * | AssociatedSipEndpointName
| The name of the SIP Endpoint that can handle calls between registered SIP subscribers in case the OpenScape Voice system is not accessible for call control. More...
char * | LooseRoutingURI
struct unsp__AliasURIList * | AliasList
| List of subscriber Aliases. More...
enum unsp__SubscriberProvisionedLicenseType * | SubscriberProvisionedLicenseType
| Subscriber Provisioned License Type. More...
enum unsp__SubscriberLicenseType * | SubscriberLicenseType
| Subscriber License Type (for backwards compatibility reasons). More...
struct unsp__LicenseType * | LicenseType
| Subscriber License Type (new format) Read Only More...
enum unsp__VIPType * | VIPType
| VIP Type. More...
enum unsp__Anat * | AnatSupport
| Indicates whether the subscriber's endpoint supports ANAT. More...
int * | OutgoingCallSupervisionTimer
| Supervises the time between sending an INVITE request and receiving a provisional (non-100 Trying) or final response from the subscriber's endpoint. More...
enum unsp__ICESupport * | ICESupport
| Indicates whether the subscriber's endpoint supports ICE. More...
enum unsp__AEISupport * | AEISupport
| Indicates whether the subscriber's endpoint supports AEI. More...
enum unsp__DTLSSupport * | DTLSSupport
| Indicates whether the subscriber's endpoint supports DTLS. More...
enum unsp__SipUAForkingSupport * | SipUAForkingSupport
| Indicates the SIP UA Forking Support mechanism used. More...
enum unsp__SrtpMode * | SrtpMode
| Indicates the SRTP mode used. More...
bool * | OndOnlyClient
| Flags the subscriber as an OND Only Device and requires an ONS subscriber to be bound to required: false default value[range]: false. More...
char * | OnsSubscriber
| The ONS subscriber bound to an OND Only subscriber, mandatory when OndOnlyClient flag is true required: false default value[range]: NA [1..15]. More...

## Detailed Description

Subscriber IP Phone Information.

## Member Data Documentation

## ◆ AEISupport

enum unsp__AEISupport* unsp__IPPhone::AEISupport

Indicates whether the subscriber's endpoint supports AEI.

required: false
default value[range]: AEIAuto

## ◆ AliasList

struct unsp__AliasURIList* unsp__IPPhone::AliasList

List of subscriber Aliases.

required: false

## ◆ AnatSupport

enum unsp__Anat* unsp__IPPhone::AnatSupport

Indicates whether the subscriber's endpoint supports ANAT.

required: false
default value[range]: AnatAuto

## ◆ AssociatedSipEndpointName

char* unsp__IPPhone::AssociatedSipEndpointName

The name of the SIP Endpoint that can handle calls between registered SIP subscribers in case the OpenScape Voice system is not accessible for call control.

Displays a list of all the SIP Endpoints that don't have a subscriber profile. Also known as the SIP Survivable Proxy.
required: false

See also
  unsp__EndpointName

## ◆ Attributes

struct unsp__IPPhoneAttribute* unsp__IPPhone::Attributes

Subscriber Attributes.

required: false

## ◆ ContactInfoList

struct unsp__ContactInfoList* unsp__IPPhone::ContactInfoList

List of subscriber Contacts.

required: false

## ◆ DTLSSupport

enum unsp__DTLSSupport* unsp__IPPhone::DTLSSupport

Indicates whether the subscriber's endpoint supports DTLS.

required: false
default value[range]: DTLSAutomatic

## ◆ ICESupport

enum unsp__ICESupport* unsp__IPPhone::ICESupport

Indicates whether the subscriber's endpoint supports ICE.

required: false
default value[range]: ICEAutomatic

## ◆ IPAddr

char* unsp__IPPhone::IPAddr

The IP address or domain name of the phone.

Allowed to be set if the SIP phone is defined to be statically registered.
required: true, for Static registration type
default value[range]: NA [1..256]

## ◆ IPConnectionType

enum unsp__IPConnectionType* unsp__IPPhone::IPConnectionType

Transport Type.

required: true
default value[range]: NA [1..45]

## ◆ LicenseType

struct unsp__LicenseType* unsp__IPPhone::LicenseType

Subscriber License Type (new format)
Read Only

## ◆ LooseRoutingURI

char* unsp__IPPhone::LooseRoutingURI

Deprecated:
  NA

## ◆ MaxSessions

int* unsp__IPPhone::MaxSessions

Indicates the maximum number of conversation sessions that should be allowed simultaneously.

Note these are messaging sessions, not voice (audio) sessions.
required: false
default value[range]: 3 [1..10000]

## ◆ Name

char* unsp__IPPhone::Name

The name that the phone will register with.

Note that if the SIP device is configured to register by number, this Name must exactly match the DN of the subscriber in order for registration to be successful. Otherwise, this Name should match the name that the SIP device registers with.
required: true

See also
  unsp__ServiceId

## ◆ OndOnlyClient

bool* unsp__IPPhone::OndOnlyClient

Flags the subscriber as an OND Only Device and requires an ONS subscriber to be bound to
required: false
default value[range]: false.

## ◆ OnsSubscriber

char* unsp__IPPhone::OnsSubscriber

The ONS subscriber bound to an OND Only subscriber, mandatory when OndOnlyClient flag is true
required: false
default value[range]: NA [1..15].

## ◆ OutgoingCallSupervisionTimer

int* unsp__IPPhone::OutgoingCallSupervisionTimer

Supervises the time between sending an INVITE request and receiving a provisional (non-100 Trying) or final response from the subscriber's endpoint.

required: false
default value[range]: 0 [0, 500..64000]

## ◆ Port

int* unsp__IPPhone::Port

The static port number used for registration.

required: false
default value[range]: 5060 or 5061 for TLS [1..9999]

## ◆ Register

unsp__Enabled* unsp__IPPhone::Register

When the RegType is Static, the phone may be pre-registered and not required to register when it is powered on.

The setting of this parameter is blocked if RegType is Dynamic.
required: false
default value[range]: false

## ◆ RegType

enum unsp__IPConnRegTypes* unsp__IPPhone::RegType

Registration type.

- For Static registration, the Signaling port and IP of the phone must be sent. IP phones connected through a Gateway may be pre-registered. Note that Static registration is not supported for Keyset subscribers.
- The signaling Port may be sent. If it is not, it will default to 5060. If the IPConnectionType is set to TLS the port will default to 5061. The request will be rejected if the IP Address is sent. Note that if the registration type is changed from Static to Dynamic, the IP Address, if any was present, will be cleared, and the Port, if not sent, will be set back to the default (5060).

required: true
default value[range]: Static

## ◆ SIPSecurity

struct unsp__SIPSecurity* unsp__IPPhone::SIPSecurity

SIP Security Settings.

required: false

## ◆ SipUAForkingSupport

enum unsp__SipUAForkingSupport* unsp__IPPhone::SipUAForkingSupport

Indicates the SIP UA Forking Support mechanism used.

required: false
default value[range]: SipUAForkingAuto

## ◆ SrtpMode

enum unsp__SrtpMode* unsp__IPPhone::SrtpMode

Indicates the SRTP mode used.

required: false
default value[range]: SrtpModeAuto

## ◆ SubscriberLicenseType

enum unsp__SubscriberLicenseType* unsp__IPPhone::SubscriberLicenseType

Subscriber License Type (for backwards compatibility reasons).

Read Only

## ◆ SubscriberProvisionedLicenseType

enum unsp__SubscriberProvisionedLicenseType* unsp__IPPhone::SubscriberProvisionedLicenseType

Subscriber Provisioned License Type.

## ◆ TimeToLive

int* unsp__IPPhone::TimeToLive

The time left (timestamp) from when the phone registers to when it must re-register before being forcibly unregistered by the switch.

Read Only

## ◆ VIPType

enum unsp__VIPType* unsp__IPPhone::VIPType

VIP Type.

required: false
default value[range]: VIPUnassigned

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h